Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class ValueCount

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.ValueCount

All Implemented Interfaces:
  java.io.Serializable

    public class ValueCount

extends java.lang.Object
implements java.io.Serializable

This class holds statistical information for one column, representing the table colstatist2_t.

Version:
  $Id: ValueCount.java,v 1.4 2006/09/27 14:59:55 euler Exp $
Author:
  Timm Euler
See Also:
  Serialized Form

Constructor Summary
`ValueCount()`

Method Summary
`int` | `getCount()` Getter method.
`double` | `getMax()` Getter method.
`double` | `getMin()` Getter method.
`java.lang.String` | `getValue()` Getter method.
`void` | `setCount(int c)` Setter method.
`void` | `setMax(double max)` Setter method.
`void` | `setMin(double min)` Setter method.
`void` | `setValue(java.lang.String v)` Setter method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueCount

    public ValueCount()

Method Detail

### setValue

    public void setValue(java.lang.String v)

  Setter method.

  Parameters:
    `v` - the new value

### getValue

    public java.lang.String getValue()

  Getter method.

  Returns:
    the value

### setCount

    public void setCount(int c)

  Setter method.

  Parameters:
    `c` - the new count

### getCount

    public int getCount()

  Getter method.

  Returns:
    the count

### setMin

    public void setMin(double min)

  Setter method.

  Parameters:
    `min` - the new mininum

### getMin

    public double getMin()

  Getter method.

  Returns:
    the minimum

### setMax

    public void setMax(double max)

  Setter method.

  Parameters:
    `max` - the new maximum

### getMax

    public double getMax()

  Getter method.

  Returns:
    the maximum

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005